//
// TrendDoc.h : header file
//
// Trend Display ver 1.0
//
// Written by Majid Shahabfar (shahabfar@safineh.net)
//
// This code may be used in compiled form in any way you desire. This
// file may be redistributed unmodified by any means PROVIDING it is 
// not sold for profit without the authors written consent, and 
// providing that this notice and the authors name is included.
//
// This file is provided with no expressed or implied warranty.
// The author accepts no responsibility if it causes any damage to your
// computer.
//
// Please use and enjoy and let me know of any bugs/improvements 
// that you have found/implemented and I will fix/incorporate them into this
// code. 
//
// An email letting me know how you are using it would be nice as well.
//
/////////////////////////////////////////////////////////////////////////////


#pragma once

typedef struct
{
	char        Name[17];     // Name of signal
	char        Dsc[60];      // Description of signal
	float       Max;          // Maximum value
	float       Min;          // Minimum value
	float       Val;          // Valye
	float       Range;        // Max - Min
	BYTE        Type;         // Type of signal (Digital/Analog)
	int         Ind;          // Index of signal
	COLORREF    Color;        // Color of signal in Trend Display
	char	    UNI[10];      // Unit of signal
	char        FOR[10];      // Format
	CArray<float,float> BufferedValue;
}POINTDATA;


class CTrendDoc : public CDocument
{
	DECLARE_DYNCREATE(CTrendDoc)

public:
	CTrendDoc();
	virtual ~CTrendDoc();
	virtual void Serialize(CArchive& ar);   // overridden for document i/o
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

public:
	POINTDATA* m_pPoint;
	BYTE m_noOfPoint;
protected:
	virtual BOOL OnNewDocument();
	DECLARE_MESSAGE_MAP()

};
